Subject: [Fot] Fwd: LANKY FOUSHEE GROUP 44

From: Joe Alexander <[email-masked]>
Date: Fri, 9 Nov 2012 15:42:27 -0500 (EST)

I am starting to get word from sources that Lanky Foushee has passed away.  I
am sure many of us would want to know this.

Joe Alexander
A. R. E.
645 1st Street
Jesup, Iowa 50648
319.464.4711  (cell)
[email-masked]

to: Joe Alexander <[email-masked]>
Sent: Fri, Nov 9, 2012 2:36 pm
Subject: LANKY FOUSHEE GROUP 44

Begin forwarded message:

From: "slloydmarlboro" <[email-masked]>
Date: November 9, 2012 2:44:54 PM EST
To: [email-masked]
Subject: [Marlboro_Raceway] Lank

Steve Knoll called today to tell me that Group 44's Crew Chief, Lanky Foushee,
passed away this morning from cancer. At this time I do not have any further
information.

Steve Lloyd, Historian
Washington DC Region, SCCA

__._,_.___

Reply via web post
Reply to sender
Reply to group
Start a New Topic
Messages in this topic (1)

RECENT ACTIVITY:
Visit Your Group

Switch to: Text-Only, Daily Digest b" Unsubscribe b" Terms of Use b" Send
us Feedback

.

__,_._,___
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]